Milter.sgmllib.TestSGMLParser Class Reference
Inheritance diagram for Milter.sgmllib.TestSGMLParser:

## Public Member Functions

def | __init__ (self, verbose=0)
def | handle_data (self, data)
def | flush (self)
def | handle_comment (self, data)
def | unknown_starttag (self, tag, attrs)
def | unknown_endtag (self, tag)
def | unknown_entityref (self, ref)
def | unknown_charref (self, ref)
def | unknown_decl (self, data)
def | close (self)
Public Member Functions inherited from Milter.sgmllib.SGMLParser
def | reset (self)
def | setnomoretags (self)
def | setliteral (self, *args)
def | feed (self, data)
def | error (self, message)
def | goahead (self, end)
def | parse_pi (self, i)
def | get_starttag_text (self)
def | parse_starttag (self, i)
def | parse_endtag (self, i)
def | finish_shorttag (self, tag, data)
def | finish_starttag (self, tag, attrs)
def | finish_endtag (self, tag)
def | handle_starttag (self, tag, method, attrs)
def | handle_endtag (self, tag, method)
def | report_unbalanced (self, tag)
def | convert_charref (self, name)
def | convert_codepoint (self, codepoint)
def | handle_charref (self, name)
def | convert_entityref (self, name)
def | handle_entityref (self, name)
def | handle_decl (self, decl)
def | handle_pi (self, data)

## Public Attributes

| testdata
Public Attributes inherited from Milter.sgmllib.SGMLParser
| verbose
| rawdata
| stack
| lasttag
| nomoretags
| literal

## Additional Inherited Members

Static Public Attributes inherited from Milter.sgmllib.SGMLParser
| entity_or_charref
| entitydefs = \

## Constructor & Destructor Documentation

## __init__()

def Milter.sgmllib.TestSGMLParser.__init__ | ( |  | self,
|  |  | verbose = `0`
| ) |  |

    Initialize and reset this instance.

Reimplemented from Milter.sgmllib.SGMLParser.

References Milter.sgmllib.TestSGMLParser.flush(), and Milter.sgmllib.TestSGMLParser.testdata.

## Member Function Documentation

## close()

def Milter.sgmllib.TestSGMLParser.close | ( |  | self | ) |

    Handle the remaining data.

Reimplemented from Milter.sgmllib.SGMLParser.

References Milter.sgmllib.TestSGMLParser.flush().

Referenced by Milter.test.TestBase.connect(), and Milter.test.TestBase.feedFile().

The documentation for this class was generated from the following file:

- Milter/sgmllib.py